local json = require("json")
local utils = require("utils")
local driver_utils = require("driver_utils")

local request_method = ngx.var.request_method

utils.check_login()
utils.check_permission("DriverManage") 

if ("GET" == request_method) then
    local args = ngx.req.get_uri_args()
    if (nil == args) then
        utils.error_exit(400, "invalid parameter")
    end

    driver_name = args["DriverName"]
    if (not driver_name) then
        utils.error_exit(400, "invalid parameter")
    end

    driver_info = driver_utils.get_driver_info(driver_name)
    res_raw = json.encode(driver_info)
    utils.error_exit(200, res_raw)
end

utils.error_exit(400, "unsupported request method")
------ EOF ------