local json = require("json")
local utils = require("utils")
local const = require("const")

local request_method = ngx.var.request_method

utils.check_login()

if ("GET" == request_method) then
    local ok, msg_user = utils.get_data(const.data_key.eweb.user)
    local pk, dn, ds, _ = utils.get_gw_config()

    if (ok) then
        if (msg_user and pk and dn and ds) then
            local user_list = json.decode(msg_user)
            if ((nil ~= user_list) and (nil ~= user_list["UserList"]) and (nil ~= user_list["UserList"]["admin"])) then
                utils.error_exit(200, '{"State": "Configured"}')
            end
        else
            utils.error_exit(200, '{"State": "New"}')
        end
    end

    utils.log_error("get user data or gwconfig data failed" .. msg_user)
    utils.error_exit(500, "get data fail")
end

utils.error_exit(400, "unsupported request method")
------ EOF ------
